#!/sbin/itype
# This is a i file, used by initng parsed by install_service

# NAME: HAL
# DESCRIPTION: Hardware Abstraction Layer
# WWW: http://www.freedesktop.org/Software/hal

daemon daemon/hald {
	need = system/bootmisc daemon/dbus;
	use = daemon/acpid;
	stdall = /dev/null;
	script daemon = {
		# Make sure, there is no stale processes running.
		killall hald
		killall -9 hald

		# Clear pid file.
		/bin/rm /var/run/hal/pid

		# We have to probe what version it is, they use different arguments.
		if /usr/sbin/hald --help 2>&1 | /bin/grep -- --retain-privileges
		then
			exec /usr/sbin/hald --daemon=no --retain-privileges
		elif /usr/sbin/hald --help 2>&1 | /bin/grep -- --drop-privileges
		then
			exec /usr/sbin/hald --daemon=no --drop-privileges
		else
			exec /usr/sbin/hald --daemon=no
		fi
		exit 1
	};
}
