#!/sbin/itype
# This is a i file, used by initng parsed by install_service

# NAME:
# DESCRIPTION:
# WWW:

service system/checkfs {
	# Root needs to be mounted rw so we can remove /forcefsck
	# Running in parallel doesn't necessarily help speed anyway...
	need = system/initial system/mountroot;
	use = system/sraid system/hdparm;
	never_kill;
	script start = {
		[ -e /var/initng_isvirt ] && exit 0

		if [ -f /fastboot ]
		then
			/bin/rm -f /fastboot
		else
			if [ -f /forcefsck ]
			then
				echo "A full fsck has been forced"
				/sbin/logsave /dev/null /sbin/fsck -C -R -A -a -f || echo "fsck error: ${?}" >&2
				/bin/rm -f /forcefsck
			else
				/sbin/logsave /dev/null /sbin/fsck -C -T -R -A -a || echo "fsck error: ${?}" >&2
			fi
		fi

		exit 0
	};
}
